import subprocess
from PytorchBoot.runners.runner import Runner
import PytorchBoot.stereotype as stereotype

@stereotype.runner("view_generator")
class ViewGenerator(Runner):
    def __init__(self, config_path):
        super().__init__(config_path)
        self.config_path = config_path
        
    def run(self):
        subprocess.run(['blender', '-b', '-P', './blender/run_blender.py', '--', self.config_path])

    def create_experiment(self, backup_name=None):
        return super().create_experiment(backup_name)
    
    def load_experiment(self, backup_name=None):
        super().load_experiment(backup_name)